# Take a photo and ensure its downloaded
SmartShooter TakePhoto
SmartShooter Download

# Retrieve the filename of the photo
set oldFilename [SmartShooter GetPhotoName]

# Print it to the log
puts "Original filename: $oldFilename"

# Retrieve aperture value and convert the '.' to a '-'
set aperture [SmartShooter Get Aperture]
regsub {\.} $aperture "-" aperture

# Create the new filename
set extension [file extension $filename]
set basename [file rootname [file tail $filename]]
set path [file dir $filename]
set name "${basename}_${aperture}${extension}"
set newFilename [file join $path $name]

# Print it to the log
puts "New filename: $newFilename"

# Now actually copy to file
file copy -force -- $oldFilename $newFilename

